approvalRule

The approvalRule query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the ApprovalRule type.

query approvalRule ($id: ID, $code: String, $format: String) {
  approvalRule (id: $id, code: $code, format: $format) {
    active
    anyDiscount
    anyDiscountEnabled
    approverId
    billingPeriodEnabled
    fromDate
    id
    isRampEnabled
    name
    netPaymentDays
    netPaymentDaysEnabled
    overallQuoteDiscount
    overallQuoteDiscountEnabled
    planId
    planIdEnabled
    productId
    productIdEnabled
    requireUnanimousApproval
    toDate
    totalQuoteAmount
    totalQuoteAmountEnabled
    warrenId
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  
code String  
format String  

ResponseLink to Response section